function init()
	gun.name = "Beam_Axel"
	gun.fireDelay = 8000
	gun.shotrange = 1600--overwritten
	gun.shotdamage = 12
	gun.shotknockback = 5000
	
	gun.burstDelay = 0
	gun.burstNum = 250

	--gun.initBeam()
	
	return 0
end


function update()
	return 0
end


function fire()
	heatmod = 1 - (gun.burst / gun.burstNum)
	if heatmod < .1 then heatmod = .1 end
	if heatmod >= .9 then heatmod = .9 end

	gun.cycleBeam(7 + heatmod)--set the style continuously + the beam is absolute (fires less than max range)
	
	gun.shotrange = 1600 * heatmod
	
	stage.makeBeam(gun.beam, gun.owner, gun.firex, gun.firey, gun.firetarx, gun.firetary)

	--gun.GFP("made beam!")
	--playSFX(getSound("gun_pew1.wav"),owner.x,owner.y)

	return 0
end

function shot_update()

	return 0
end